> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# Get User By Id

GET https://agentverse.ai/v2/users/{uid}

Reference: https://docs.agentverse.ai/api-reference/users/get-user-by-id

## Request

### Path parameters

- `uid` (string, required)

## Response

### 200

Successful Response

- `uid` (string, required)
- `registered_at` (string, optional)
- `username` (string, optional, default: )
- `developer_category` (enum, optional) — Enum for developer categories.
  - Allowed values: `Community`, `Verified`, `FetchMember`
- `email` (string, optional, default: )

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "uid": "foo",
  "registered_at": "foo",
  "username": "foo",
  "developer_category": "Community",
  "email": "foo"
}
```

**SDK Code**

```python getUserByIdExample
import requests

url = "https://agentverse.ai/v2/users/uid"

response = requests.get(url)

print(response.json())
```

```javascript getUserByIdExample
const url = 'https://agentverse.ai/v2/users/uid';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getUserByIdExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v2/users/uid"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getUserByIdExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v2/users/uid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java getUserByIdExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agentverse.ai/v2/users/uid")
  .asString();
```

```php getUserByIdExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agentverse.ai/v2/users/uid');

echo $response->getBody();
```

```csharp getUserByIdExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v2/users/uid");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift getUserByIdExample
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v2/users/uid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```